# boost::numeric::bindings::traits::vector_detail_traits< opentl::math::Vector, V > Struct Template Reference

List of all members.

## Public Types
typedef opentl::math::Vector | identifier_type
typedef double * | pointer
typedef double | value_type
typedef V | vector_type
## Public Member Functions
| BOOST_STATIC_ASSERT ((::boost::is_same< opentl::math::Vector, typename::boost::remove_const< V >::type >::value))
## Static Public Member Functions
::std::ptrdiff_t | size (vector_type &m)
static pointer | storage (vector_type &m)
::std::ptrdiff_t | stride (vector_type &m)

### template<typename V>
struct boost::numeric::bindings::traits::vector_detail_traits< opentl::math::Vector, V >

## Member Typedef Documentation

template<typename V >

typedef opentl::math::Vector boost::numeric::bindings::traits::vector_detail_traits< opentl::math::Vector, V >::identifier_type

template<typename V >

typedef double* boost::numeric::bindings::traits::vector_detail_traits< opentl::math::Vector, V >::pointer

template<typename V >

typedef double boost::numeric::bindings::traits::vector_detail_traits< opentl::math::Vector, V >::value_type

template<typename V >

typedef V boost::numeric::bindings::traits::vector_detail_traits< opentl::math::Vector, V >::vector_type

## Member Function Documentation

template<typename V >

boost::numeric::bindings::traits::vector_detail_traits< opentl::math::Vector, V >::BOOST_STATIC_ASSERT | ( | (::boost::is_same< opentl::math::Vector, typename::boost::remove_const< V >::type >::value) |  | ) |

template<typename V >

::std::ptrdiff_t boost::numeric::bindings::traits::vector_detail_traits< opentl::math::Vector, V >::size | ( | vector_type & | m | ) | `[inline, static]`

template<typename V >

static pointer boost::numeric::bindings::traits::vector_detail_traits< opentl::math::Vector, V >::storage | ( | vector_type & | m | ) | `[inline, static]`

template<typename V >

::std::ptrdiff_t boost::numeric::bindings::traits::vector_detail_traits< opentl::math::Vector, V >::stride | ( | vector_type & | m | ) | `[inline, static]`